Forum: Ruby Updating to gem version 1.3.1 on Ubuntu 8.04

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
44a43e7fef8e933e802a7802b4bd3525?d=identicon&s=25 John Small (johnsmall)
on 2009-01-09 17:23
I see someone else is having problems updating to gem version 1.3.1 on
Ubuntu 8.04. But my problem is different. I've updated OK and in the gem
list --local I see ruby-gems-update 1.3.1 but gem -v still returns
1.2.0. That's what's setup in the environment. So now when I try to do
anything that requires gem version 1.3.1 it doesn't work.

If I try gem update --system it says there's nothing to do, it's all
uptodate.

Any idea what could be wrong? If it's just the environment variable,
where do I set it so that I get the right one after a reboot?

John Small
44a43e7fef8e933e802a7802b4bd3525?d=identicon&s=25 John Small (johnsmall)
on 2009-01-09 17:51
John Small wrote:
> I see someone else is having problems updating to gem version 1.3.1 on
> Ubuntu 8.04. But my problem is different. I've updated OK and in the gem
> list --local I see ruby-gems-update 1.3.1 but gem -v still returns
> 1.2.0. That's what's setup in the environment. So now when I try to do
> anything that requires gem version 1.3.1 it doesn't work.
>
> If I try gem update --system it says there's nothing to do, it's all
> uptodate.
>
> Any idea what could be wrong? If it's just the environment variable,
> where do I set it so that I get the right one after a reboot?
>
> John Small

Sorted! I looked at http://www.rubygems.org/read/chapter/3#page14

and then used the hint to run

gem install rubygems-update
update_rubygems

It all worked fine after that.

John Small
This topic is locked and can not be replied to.